<?php
/**
 * Horizontal carousel image slideshow
 *
 * @package 	Horizontal carousel image slideshow
 * @subpackage 	Horizontal carousel image slideshow
 * @version   	3.2
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/10/horizontal-carousel-image-slideshow-gallery-joomla-module/
 *
 */

// no direct access
defined('_JEXEC') or die;

class modHCISHelper
{
	function loadScripts(&$params)
	{
		//JS file added in default.php file
		//$doc = &JFactory::getDocument();
		//$doc->addScript(JURI::Root(true).'/modules/mod_horizontal_carousel_image_slideshow/tmpl/mod_horizontal_carousel_image_slideshow.js');
	}
	
	static function getImages(&$params, $folder)
	{
		$type = $params->get('slideshow_type', 'jpg');

		$files	= array();
		$images	= array();
		
		if (substr(JPATH_BASE, -1) == '\\')
		{
			$japth = JPATH_BASE;
		}
		else
		{
			$japth = JPATH_BASE . "\\";
		}

		$dir = $japth . $folder;
		$dir = str_replace('/', '\\', $dir); // Line 45
		//if your getting no directory error message. Please comment line 45 and uncomment line 47.
		//$dir = str_replace('\\', '/', $dir);  // Line 47
		
		if (is_dir($dir))
		{
			if ($handle = opendir($dir)) 
			{
				while (false !== ($file = readdir($handle))) 
				{
					if ($file != '.' && $file != '..' && $file != 'CVS' && $file != 'index.html') 
					{
						$files[] = $file;
					}
				}
			}
			closedir($handle);

			$i = 0;
			foreach ($files as $img)
			{
				if (!is_dir($dir . "\\". $img))
				{
					if (preg_match('/'.$type.'/', $img)) 
					{
						$images[$i] = new stdClass;
						$images[$i]->name	= $img;
						$images[$i]->folder	= $folder;
						$i++;
					}
				}
			}
		}
		else
		{
			echo JText::_('Folder not exist: ' . $dir . '<br>');
		}
		return $images;
	}

	static function getFolder(&$params)
	{
		$folder	= $params->get('slideshow_folder');
		$LiveSite	= JURI::base();

		// if folder includes livesite info, remove
		if (JString::strpos($folder, $LiveSite) === 0) {
			$folder = str_replace($LiveSite, '', $folder);
		}
		// if folder includes absolute path, remove
		if (JString::strpos($folder, JPATH_SITE) === 0) {
			$folder= str_replace(JPATH_BASE, '', $folder);
		}
		
		return $folder;
	}
}
?>