<?php
/**
 * Horizontal carousel image slideshow
 *
 * @package 	Horizontal carousel image slideshow
 * @subpackage 	Horizontal carousel image slideshow
 * @version   	3.2
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/10/horizontal-carousel-image-slideshow-gallery-joomla-module/
 *
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';

$folder	= modHCISHelper::getFolder($params);
$images	= modHCISHelper::getImages($params, $folder);

if (!count($images)) 
{
	echo JText::_('Image not exist in the folder "' . $folder . '"<br><br>');
	return;
}

require JModuleHelper::getLayoutPath('mod_horizontal_carousel_image_slideshow', $params->get('layout', 'default'));
modHCISHelper::loadScripts($params);
?>