<?php
/**
 * Horizontal carousel image slideshow
 *
 * @package 	Horizontal carousel image slideshow
 * @subpackage 	Horizontal carousel image slideshow
 * @version   	3.2
 * @author    	Gopi Ramasamy
 * @copyright 	Copyright (C) 2010 - 2014 www.gopiplus.com, LLC
 * @license   	http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * http://www.gopiplus.com/extensions/2011/10/horizontal-carousel-image-slideshow-gallery-joomla-module/
 *
 */

// no direct access
defined('_JEXEC') or die;

if ( ! empty($images) ) 
{
	$slideshow_link	= $params->get('slideshow_link');
	$slideshow_width = $params->get('slideshow_width');
	$slideshow_height = $params->get('slideshow_height');
	$slideshow_speed = $params->get('slideshow_speed');
	$slideshow_direction = $params->get('slideshow_direction');
	$slideshow_side = $params->get('slideshow_side');
	
	if(!is_numeric($slideshow_width)) { $slideshow_width = 300 ;}
	if(!is_numeric($slideshow_height)) { $slideshow_height = 250; }
	if(!is_numeric($slideshow_speed)) { $slideshow_speed = 2; }
	if(!is_numeric($slideshow_side)) { $slideshow_side = 4; }
	
	$divwidth = 300;
	$divheight = $slideshow_height+2;
	if($slideshow_side == 4)
	{
		$divwidth = (1.42*$slideshow_width)+3;
		$divwidth = round($divwidth); 
	}
	elseif($slideshow_side == 6)
	{
		$divwidth = (2*$slideshow_width)+4;
		$divwidth = round($divwidth); 
	}
	elseif($slideshow_side == 8)
	{
		$divwidth = (2.62*$slideshow_width)+5;
		$divwidth = round($divwidth); 
	}
	elseif($slideshow_side == 12)
	{
		$divwidth = (3.87*$slideshow_width)+7;
		$divwidth = round($divwidth); 
	}
	else
	{
		$divwidth = 300;
	}
	
	if($slideshow_link == "" )
	{
		$slideshow_link =  '#';
	}
	
	$slideshow_path = "";
	$slideshow_returnstr = "";
	foreach ( $images as $images ) 
	{
		$slideshow_path = JURI::base().$folder ."/". $images->name;
		$slideshow_path = str_replace('\\', '/', $slideshow_path);
		
		$slideshow_returnstr = $slideshow_returnstr .'"'.$slideshow_path.'", "'.$slideshow_link.'",';
	}
	$slideshow_returnstr = substr($slideshow_returnstr,0,(strlen($slideshow_returnstr)-1));
	$slideshow_path = JURI::base();
}
?>
<script type="text/javascript">
	var hcs_Image_Width=<?php echo $slideshow_width; ?>; 
	var hcs_Image_Height=<?php echo $slideshow_height; ?>; 
	var hcs_Border=true; 
	var hcs_Border_Color="white"; 
	var hcs_Speed=<?php echo $slideshow_speed; ?>; 
	var hcs_Direction="<?php echo $slideshow_direction; ?>"; 
	var hcs_NoOfSides=<?php echo $slideshow_side; ?>; 
	hcs_Image_Sources=new Array(<?php echo $slideshow_returnstr; ?>);
</script>
<script src="<?php echo $slideshow_path; ?>modules/mod_horizontal_carousel_image_slideshow/tmpl/mod_horizontal_carousel_image_slideshow.js" type="text/javascript"></script>
<div id="Carousel" style="position:relative">
<img src="<?php echo $slideshow_path; ?>modules/mod_horizontal_carousel_image_slideshow/tmpl/placeholder.gif" width="<?php echo $divwidth; ?>" height="<?php echo $divheight; ?>">
</div>
<script type="text/javascript">Carousel();</script>